Index: squid/src/store_dir.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store_dir.c,v
retrieving revision 1.1.1.3.4.2.2.7
retrieving revision 1.1.1.3.4.2.2.7.2.1
diff -u -r1.1.1.3.4.2.2.7 -r1.1.1.3.4.2.2.7.2.1
--- squid/src/store_dir.c	8 Jul 2001 10:32:00 -0000	1.1.1.3.4.2.2.7
+++ squid/src/store_dir.c	27 Aug 2001 21:48:22 -0000	1.1.1.3.4.2.2.7.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: store_dir.c,v 1.1.1.3.4.2.2.7 2001/07/08 10:32:00 serassio Exp $
+ * $Id: store_dir.c,v 1.1.1.3.4.2.2.7.2.1 2001/08/27 21:48:22 tolsty Exp $
  *
  * DEBUG: section 47    Store Directory Routines
  * AUTHOR: Duane Wessels
@@ -45,8 +44,7 @@
 #include <sys/vfs.h>
 #endif
 
-const char *SwapDirType[] =
-{
+const char *SwapDirType[] = {
     "ufs",
     "!ERROR!"
 };
@@ -89,7 +87,7 @@
 #endif
     } while (pid > 0 || (pid < 0 && errno == EINTR));
 #else
-	}
+    }
 #endif
 }
 
@@ -282,9 +280,7 @@
 	return;
     assert(op > SWAP_LOG_NOP && op < SWAP_LOG_MAX);
     debug(20, 3) ("storeDirSwapLog: %s %s %08X\n",
-	swap_log_op_str[op],
-	storeKeyText(e->key),
-	e->swap_file_number);
+	swap_log_op_str[op], storeKeyText(e->key), e->swap_file_number);
     sd = &Config.cacheSwap.swapDirs[dirn];
     sd->log.write(sd, e, op);
 }
@@ -316,7 +312,8 @@
 	store_swap_size);
     storeAppendPrintf(sentry, "Current Capacity       : %d%% used, %d%% free\n",
 	percent((int) store_swap_size, (int) Config.Swap.maxSize),
-	percent((int) (Config.Swap.maxSize - store_swap_size), (int) Config.Swap.maxSize));
+	percent((int) (Config.Swap.maxSize - store_swap_size),
+	    (int) Config.Swap.maxSize));
     storeUfsDirStats(sentry);	/* XXX */
 }
 
@@ -365,8 +362,8 @@
     for (dirn = 0; dirn < Config.cacheSwap.n_configured; dirn++) {
 	sd = &Config.cacheSwap.swapDirs[dirn];
 	if (sd->log.open)
-	    sd->log.open(sd);    
-	}
+	    sd->log.open(sd);
+    }
 }
 
 void
@@ -502,7 +499,8 @@
     (((fsbs) != 0 && (fsbs) < (bs)) ? \
             (num) / ((bs) / (fsbs)) : (num) * ((fsbs) / (bs)))
 int
-storeDirGetUFSStats(const char *path, int *totl_kb, int *free_kb, int *totl_in, int *free_in)
+storeDirGetUFSStats(const char *path, int *totl_kb, int *free_kb, int *totl_in,
+    int *free_in)
 {
 #if HAVE_STATVFS
     struct statvfs sfs;
Index: squid/src/store_dir_ufs.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/store_dir_ufs.c,v
retrieving revision 1.1.1.1.4.1.2.8
retrieving revision 1.1.1.1.4.1.2.8.2.1
diff -u -r1.1.1.1.4.1.2.8 -r1.1.1.1.4.1.2.8.2.1
--- squid/src/store_dir_ufs.c	29 Jul 2001 09:10:28 -0000	1.1.1.1.4.1.2.8
+++ squid/src/store_dir_ufs.c	27 Aug 2001 21:48:22 -0000	1.1.1.1.4.1.2.8.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: store_dir_ufs.c,v 1.1.1.1.4.1.2.8 2001/07/29 09:10:28 serassio Exp $
+ * $Id: store_dir_ufs.c,v 1.1.1.1.4.1.2.8.2.1 2001/08/27 21:48:22 tolsty Exp $
  *
  * DEBUG: section 47    Store Directory Routines
  * AUTHOR: Duane Wessels
@@ -45,18 +44,21 @@
 #define STORE_META_BUFSZ 4096
 
 typedef struct _RebuildState RebuildState;
-struct _RebuildState {
+struct _RebuildState
+{
     SwapDir *sd;
     int n_read;
     FILE *log;
     int speed;
     int curlvl1;
     int curlvl2;
-    struct {
+    struct
+    {
 	unsigned int need_to_validate:1;
 	unsigned int clean:1;
 	unsigned int init:1;
-    } flags;
+    }
+    flags;
     int done;
     int in_dir;
     int fn;
@@ -84,11 +86,7 @@
     size_t swap_file_sz,
     time_t expires,
     time_t timestamp,
-    time_t lastref,
-    time_t lastmod,
-    u_num32 refcount,
-    u_short flags,
-    int clean);
+    time_t lastref, time_t lastmod, u_num32 refcount, u_short flags, int clean);
 static void storeUfsDirRebuild(SwapDir * sd);
 static void storeUfsDirCloseTmpSwapLog(SwapDir * sd);
 static FILE *storeUfsDirOpenTmpSwapLog(SwapDir *, int *, int *);
@@ -131,8 +129,7 @@
 	debug(20, should_exist ? 1 : 3) ("%s created\n", path);
 	created = 1;
     } else {
-	fatalf("Failed to make swap directory %s: %s",
-	    path, xstrerror());
+	fatalf("Failed to make swap directory %s: %s", path, xstrerror());
     }
     return created;
 }
@@ -250,9 +247,9 @@
 {
     static int started_clean_event = 0;
     static const char *errmsg =
-    "\tFailed to verify one of the swap directories, Check cache.log\n"
-    "\tfor details.  Run 'squid -z' to create swap directories\n"
-    "\tif needed, or if running Squid for the first time.";
+	"\tFailed to verify one of the swap directories, Check cache.log\n"
+	"\tfor details.  Run 'squid -z' to create swap directories\n"
+	"\tif needed, or if running Squid for the first time.";
     if (storeUfsVerifyCacheDirs(sd) < 0)
 	fatal(errmsg);
     storeUfsDirOpenSwapLog(sd);
@@ -314,7 +311,7 @@
 	debug(20, 9) ("file_in: fd=%d %08X\n", fd, sfileno);
 	Counter.syscalls.disk.reads++;
 #ifdef _SQUID_MSWIN_
-	if (fread(hdr_buf, 1, DISK_PAGE_SIZE, fd_table[fd].fbuf) == 0 
+	if (fread(hdr_buf, 1, DISK_PAGE_SIZE, fd_table[fd].fbuf) == 0
 	    && ferror(fd_table[fd].fbuf)) {
 #else
 	if (read(fd, hdr_buf, DISK_PAGE_SIZE) < 0) {
@@ -336,11 +333,13 @@
 #endif
 	tlv_list = storeSwapMetaUnpack(hdr_buf, &swap_hdr_len);
 	if (tlv_list == NULL) {
-	    debug(20, 1) ("storeRebuildFromDirectory: failed to get meta data\n");
+	    debug(20,
+		1) ("storeRebuildFromDirectory: failed to get meta data\n");
 	    storeUnlink(sfileno);
 	    continue;
 	}
-	debug(20, 3) ("storeRebuildFromDirectory: successful swap meta unpacking\n");
+	debug(20,
+	    3) ("storeRebuildFromDirectory: successful swap meta unpacking\n");
 	memset(key, '\0', MD5_DIGEST_CHARS);
 	memset(&tmpe, '\0', sizeof(StoreEntry));
 	for (t = tlv_list; t; t = t->next) {
@@ -395,14 +394,9 @@
 	}
 	rb->counts.objcount++;
 	storeEntryDump(&tmpe, 5);
-	e = storeAddDiskRestore(key,
-	    sfileno,
-	    tmpe.swap_file_sz,
-	    tmpe.expires,
-	    tmpe.timestamp,
-	    tmpe.lastref,
-	    tmpe.lastmod,
-	    tmpe.refcount,	/* refcount */
+	e =
+	    storeAddDiskRestore(key, sfileno, tmpe.swap_file_sz, tmpe.expires,
+	    tmpe.timestamp, tmpe.lastref, tmpe.lastmod, tmpe.refcount,	/* refcount */
 	    tmpe.flags,		/* flags */
 	    (int) rb->flags.clean);
     }
@@ -439,10 +433,10 @@
 	    continue;
 	if (s.op >= SWAP_LOG_MAX)
 	    continue;
-	s.swap_file_number = storeDirProperFileno(rb->sd->index, s.swap_file_number);
+	s.swap_file_number =
+	    storeDirProperFileno(rb->sd->index, s.swap_file_number);
 	debug(20, 3) ("storeRebuildFromSwapLog: %s %s %08X\n",
-	    swap_log_op_str[(int) s.op],
-	    storeKeyText(s.key),
+	    swap_log_op_str[(int) s.op], storeKeyText(s.key),
 	    s.swap_file_number);
 	if (s.op == SWAP_LOG_ADD) {
 	    (void) 0;
@@ -558,11 +552,7 @@
 	    s.swap_file_sz,
 	    s.expires,
 	    s.timestamp,
-	    s.lastref,
-	    s.lastmod,
-	    s.refcount,
-	    s.flags,
-	    (int) rb->flags.clean);
+	    s.lastref, s.lastmod, s.refcount, s.flags, (int) rb->flags.clean);
 	storeDirSwapLog(e, SWAP_LOG_ADD);
     }
     eventAdd("storeRebuild", storeRebuildFromSwapLog, rb, 0.0, 1);
@@ -575,10 +565,7 @@
     int used = 0;
     int dirs_opened = 0;
     debug(20, 3) ("storeGetNextFile: flag=%d, %d: /%02X/%02X\n",
-	rb->flags.init,
-	rb->sd->index,
-	rb->curlvl1,
-	rb->curlvl2);
+	rb->flags.init, rb->sd->index, rb->curlvl1, rb->curlvl2);
     if (rb->done)
 	return -2;
     while (fd < 0 && rb->done == 0) {
@@ -593,8 +580,7 @@
 	}
 	if (0 == rb->in_dir) {	/* we need to read in a new directory */
 	    snprintf(rb->fullpath, SQUID_MAXPATHLEN, "%s/%02X/%02X",
-		rb->sd->path,
-		rb->curlvl1, rb->curlvl2);
+		rb->sd->path, rb->curlvl1, rb->curlvl2);
 	    if (rb->flags.init && rb->td != NULL)
 		closedir(rb->td);
 	    rb->td = NULL;
@@ -609,7 +595,8 @@
 		rb->entry = readdir(rb->td);	/* skip . and .. */
 		rb->entry = readdir(rb->td);
 		if (rb->entry == NULL && errno == ENOENT)
-		    debug(20, 1) ("storeGetNextFile: directory does not exist!.\n");
+		    debug(20,
+			1) ("storeGetNextFile: directory does not exist!.\n");
 		debug(20, 3) ("storeGetNextFile: Directory %s\n", rb->fullpath);
 	    }
 	}
@@ -620,15 +607,18 @@
 		    rb->entry->d_name);
 		continue;
 	    }
-	    if (!storeUfsFilenoBelongsHere(rb->fn, rb->sd->index, rb->curlvl1, rb->curlvl2)) {
-		debug(20, 3) ("storeGetNextFile: %08X does not belong in %d/%d/%d\n",
+	    if (!storeUfsFilenoBelongsHere(rb->fn, rb->sd->index, rb->curlvl1,
+		    rb->curlvl2)) {
+		debug(20,
+		    3) ("storeGetNextFile: %08X does not belong in %d/%d/%d\n",
 		    rb->fn, rb->sd->index, rb->curlvl1, rb->curlvl2);
 		continue;
 	    }
 	    rb->fn = storeDirProperFileno(rb->sd->index, rb->fn);
 	    used = storeDirMapBitTest(rb->fn);
 	    if (used) {
-		debug(20, 3) ("storeGetNextFile: Locked, continuing with next.\n");
+		debug(20,
+		    3) ("storeGetNextFile: Locked, continuing with next.\n");
 		continue;
 	    }
 	    snprintf(rb->fullfilename, SQUID_MAXPATHLEN, "%s/%s",
@@ -636,7 +626,8 @@
 	    debug(20, 3) ("storeGetNextFile: Opening %s\n", rb->fullfilename);
 	    fd = file_open(rb->fullfilename, O_RDONLY);
 	    if (fd < 0)
-		debug(50, 1) ("storeGetNextFile: %s: %s\n", rb->fullfilename, xstrerror());
+		debug(50, 1) ("storeGetNextFile: %s: %s\n", rb->fullfilename,
+		    xstrerror());
 	    else
 		store_open_disk_fd++;
 	    continue;
@@ -662,14 +653,11 @@
     size_t swap_file_sz,
     time_t expires,
     time_t timestamp,
-    time_t lastref,
-    time_t lastmod,
-    u_num32 refcount,
-    u_short flags,
-    int clean)
+    time_t lastref, time_t lastmod, u_num32 refcount, u_short flags, int clean)
 {
     StoreEntry *e = NULL;
-    debug(20, 5) ("StoreAddDiskRestore: %s, fileno=%08X\n", storeKeyText(key), file_number);
+    debug(20, 5) ("StoreAddDiskRestore: %s, fileno=%08X\n", storeKeyText(key),
+	file_number);
     /* if you call this you'd better be sure file_number is not 
      * already in use! */
     e = new_StoreEntry(STORE_ENTRY_WITHOUT_MEMOBJ, NULL, NULL);
@@ -812,7 +800,8 @@
     return fp;
 }
 
-struct _clean_state {
+struct _clean_state
+{
     char *cur;
     char *new;
     char *cln;
@@ -886,13 +875,15 @@
     /* buffered write */
     if (state->outbuf_offset + ss > CLEAN_BUF_SZ) {
 #ifdef _SQUID_MSWIN_
-	if (fwrite(state->outbuf, 1, state->outbuf_offset, fd_table[state->fd].fbuf) < state->outbuf_offset) {
+	if (fwrite(state->outbuf, 1, state->outbuf_offset,
+		fd_table[state->fd].fbuf) < state->outbuf_offset) {
 #else
 	if (write(state->fd, state->outbuf, state->outbuf_offset) < 0) {
 #endif
 	    debug(50, 0) ("storeDirWriteCleanLogs: %s: write: %s\n",
 		state->new, xstrerror());
-	    debug(20, 0) ("storeDirWriteCleanLogs: Current swap logfile not replaced.\n");
+	    debug(20, 0)
+		("storeDirWriteCleanLogs: Current swap logfile not replaced.\n");
 	    file_close(state->fd);
 	    state->fd = -1;
 	    unlink(state->new);
@@ -914,9 +905,9 @@
     if (state->fd < 0)
 	return;
 #ifdef _SQUID_MSWIN_
-    fbuf=fd_table[state->fd].fbuf;
+    fbuf = fd_table[state->fd].fbuf;
     fwrite(state->outbuf, 1, state->outbuf_offset, fbuf);
-    if (ferror(fbuf) || feof(fbuf)){
+    if (ferror(fbuf) || feof(fbuf)) {
 #else
     if (write(state->fd, state->outbuf, state->outbuf_offset) < 0) {
 #endif
@@ -979,12 +970,7 @@
     s->flags = e->flags;
     xmemcpy(s->key, e->key, MD5_DIGEST_CHARS);
     file_write(sd->u.ufs.swaplog_fd,
-	-1,
-	s,
-	sizeof(storeSwapLogData),
-	NULL,
-	NULL,
-	xfree);
+	-1, s, sizeof(storeSwapLogData), NULL, NULL, xfree);
 }
 
 static void
@@ -1169,10 +1155,11 @@
 	SD = &Config.cacheSwap.swapDirs[i];
 	storeAppendPrintf(sentry, "\n");
 	storeAppendPrintf(sentry, "Store Directory #%d: %s\n", i, SD->path);
-	storeAppendPrintf(sentry, "FS Block Size %d Bytes\n",
-	    SD->fs.blksize);
-	storeAppendPrintf(sentry, "First level subdirectories: %d\n", SD->u.ufs.l1);
-	storeAppendPrintf(sentry, "Second level subdirectories: %d\n", SD->u.ufs.l2);
+	storeAppendPrintf(sentry, "FS Block Size %d Bytes\n", SD->fs.blksize);
+	storeAppendPrintf(sentry, "First level subdirectories: %d\n",
+	    SD->u.ufs.l1);
+	storeAppendPrintf(sentry, "Second level subdirectories: %d\n",
+	    SD->u.ufs.l2);
 	storeAppendPrintf(sentry, "Maximum Size: %d KB\n", SD->max_size);
 	storeAppendPrintf(sentry, "Current Size: %d KB\n", SD->cur_size);
 	storeAppendPrintf(sentry, "Percent Used: %0.2f%%\n",
@@ -1180,16 +1167,16 @@
 	storeAppendPrintf(sentry, "Filemap bits in use: %d of %d (%d%%)\n",
 	    SD->map->n_files_in_map, SD->map->max_n_files,
 	    percent(SD->map->n_files_in_map, SD->map->max_n_files));
-	x = storeDirGetUFSStats(SD->path, &totl_kb, &free_kb, &totl_in, &free_in);
+	x =
+	    storeDirGetUFSStats(SD->path, &totl_kb, &free_kb, &totl_in,
+	    &free_in);
 	if (0 == x) {
-	    storeAppendPrintf(sentry, "Filesystem Space in use: %d/%d KB (%d%%)\n",
-	    	totl_kb - free_kb,
-		totl_kb,
-		percent(totl_kb - free_kb, totl_kb));
-	    storeAppendPrintf(sentry, "Filesystem Inodes in use: %d/%d (%d%%)\n",
-		totl_in - free_in,
-		totl_in,
-		percent(totl_in - free_in, totl_in));
+	    storeAppendPrintf(sentry,
+		"Filesystem Space in use: %d/%d KB (%d%%)\n", totl_kb - free_kb,
+		totl_kb, percent(totl_kb - free_kb, totl_kb));
+	    storeAppendPrintf(sentry,
+		"Filesystem Inodes in use: %d/%d (%d%%)\n", totl_in - free_in,
+		totl_in, percent(totl_in - free_in, totl_in));
 	}
 	storeAppendPrintf(sentry, "Flags:");
 	if (SD->flags.selected)
@@ -1348,10 +1335,7 @@
     storeAppendPrintf(entry, "%s %s %s %d %d %d\n",
 	name,
 	SwapDirType[s->type],
-	s->path,
-	s->max_size >> 10,
-	s->u.ufs.l1,
-	s->u.ufs.l2);
+	s->path, s->max_size >> 10, s->u.ufs.l1, s->u.ufs.l2);
 }
 
 /*
@@ -1380,8 +1364,6 @@
     fullpath[0] = '\0';
     snprintf(fullpath, SQUID_MAXPATHLEN, "%s/%02X/%02X/%08X",
 	Config.cacheSwap.swapDirs[dirn].path,
-	((filn / L2) / L2) % L1,
-	(filn / L2) % L2,
-	filn);
+	((filn / L2) / L2) % L1, (filn / L2) % L2, filn);
     return fullpath;
 }
Index: squid/src/store_heap_replacement.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/store_heap_replacement.c,v
retrieving revision 1.1.1.1.4.1.2.1
retrieving revision 1.1.1.1.4.1.2.1.2.1
diff -u -r1.1.1.1.4.1.2.1 -r1.1.1.1.4.1.2.1.2.1
--- squid/src/store_heap_replacement.c	6 Jan 2001 12:40:16 -0000	1.1.1.1.4.1.2.1
+++ squid/src/store_heap_replacement.c	27 Aug 2001 21:48:22 -0000	1.1.1.1.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: store_heap_replacement.c,v 1.1.1.1.4.1.2.1 2001/01/06 12:40:16 hno Exp $
+ * $Id: store_heap_replacement.c,v 1.1.1.1.4.1.2.1.2.1 2001/08/27 21:48:22 tolsty Exp $
  *
  * DEBUG: section 20    Storage Manager Heap-based replacement
  * AUTHOR: John Dilley
Index: squid/src/store_io.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store_io.c,v
retrieving revision 1.1.1.1.20.1
retrieving revision 1.1.1.1.20.1.2.1
diff -u -r1.1.1.1.20.1 -r1.1.1.1.20.1.2.1
--- squid/src/store_io.c	6 Jan 2001 12:40:16 -0000	1.1.1.1.20.1
+++ squid/src/store_io.c	27 Aug 2001 21:48:22 -0000	1.1.1.1.20.1.2.1
@@ -1,4 +1,5 @@
 #define STORE_IO_C
+
 #include "squid.h"
 
 storeIOState *
@@ -12,7 +13,8 @@
 void
 storeClose(storeIOState * sio)
 {
-    SwapDir *SD = &Config.cacheSwap.swapDirs[sio->swap_file_number >> SWAP_DIR_SHIFT];
+    SwapDir *SD =
+	&Config.cacheSwap.swapDirs[sio->swap_file_number >> SWAP_DIR_SHIFT];
     if (sio->flags.closing)
 	return;
     sio->flags.closing = 1;
@@ -20,16 +22,20 @@
 }
 
 void
-storeRead(storeIOState * sio, char *buf, size_t size, off_t offset, STRCB * callback, void *callback_data)
+storeRead(storeIOState * sio, char *buf, size_t size, off_t offset,
+    STRCB * callback, void *callback_data)
 {
-    SwapDir *SD = &Config.cacheSwap.swapDirs[sio->swap_file_number >> SWAP_DIR_SHIFT];
+    SwapDir *SD =
+	&Config.cacheSwap.swapDirs[sio->swap_file_number >> SWAP_DIR_SHIFT];
     SD->obj.read(sio, buf, size, offset, callback, callback_data);
 }
 
 void
-storeWrite(storeIOState * sio, char *buf, size_t size, off_t offset, FREE * free_func)
+storeWrite(storeIOState * sio, char *buf, size_t size, off_t offset,
+    FREE * free_func)
 {
-    SwapDir *SD = &Config.cacheSwap.swapDirs[sio->swap_file_number >> SWAP_DIR_SHIFT];
+    SwapDir *SD =
+	&Config.cacheSwap.swapDirs[sio->swap_file_number >> SWAP_DIR_SHIFT];
     SD->obj.write(sio, buf, size, offset, free_func);
 }
 
@@ -40,8 +46,7 @@
     SD->obj.unlink(f);
 }
 
-off_t
-storeOffset(storeIOState * sio)
+off_t storeOffset(storeIOState * sio)
 {
     return sio->offset;
 }
Index: squid/src/store_io_asyncufs.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/store_io_asyncufs.c,v
retrieving revision 1.1.1.1.4.3
retrieving revision 1.1.1.1.4.3.6.1
diff -u -r1.1.1.1.4.3 -r1.1.1.1.4.3.6.1
--- squid/src/store_io_asyncufs.c	22 May 2000 11:00:39 -0000	1.1.1.1.4.3
+++ squid/src/store_io_asyncufs.c	27 Aug 2001 21:48:22 -0000	1.1.1.1.4.3.6.1
@@ -1,10 +1,11 @@
-
 /*
  * DEBUG 78
  */
 
 #include "squid.h"
 
+#if USE_ASYNC_IO
+
 #define SWAP_DIR_SHIFT 24
 #define SWAP_FILE_MASK 0x00FFFFFF
 #define MAGIC1 (NUMTHREADS/Config.cacheSwap.n_configured/2)
@@ -16,14 +17,16 @@
 static int storeAufsSomethingPending(storeIOState *);
 static int storeAufsKickWriteQueue(storeIOState * sio);
 
-struct _queued_write {
+struct _queued_write
+{
     char *buf;
     size_t size;
     off_t offset;
     FREE *free_func;
 };
 
-struct _queued_read {
+struct _queued_read
+{
     char *buf;
     size_t size;
     off_t offset;
@@ -76,7 +79,8 @@
 }
 
 void
-storeAufsRead(storeIOState * sio, char *buf, size_t size, off_t offset, STRCB * callback, void *callback_data)
+storeAufsRead(storeIOState * sio, char *buf, size_t size, off_t offset,
+    STRCB * callback, void *callback_data)
 {
     assert(sio->read.callback == NULL);
     assert(sio->read.callback_data == NULL);
@@ -107,7 +111,8 @@
 }
 
 void
-storeAufsWrite(storeIOState * sio, char *buf, size_t size, off_t offset, FREE * free_func)
+storeAufsWrite(storeIOState * sio, char *buf, size_t size, off_t offset,
+    FREE * free_func)
 {
     debug(78, 3) ("storeAufsWrite: fileno %08X, FD %d\n",
 	sio->swap_file_number, sio->type.aufs.fd);
@@ -141,12 +146,7 @@
      * callback function
      */
     aioWrite(sio->type.aufs.fd,
-	offset,
-	buf,
-	size,
-	storeAufsWriteDone,
-	sio,
-	free_func);
+	offset, buf, size, storeAufsWriteDone, sio, free_func);
 }
 
 void
@@ -177,9 +177,11 @@
     struct _queued_read *q = linklistShift(&sio->type.aufs.pending_reads);
     if (NULL == q)
 	return 0;
-    debug(78, 3) ("storeAufsKickReadQueue: reading queued request of %d bytes\n",
+    debug(78,
+	3) ("storeAufsKickReadQueue: reading queued request of %d bytes\n",
 	q->size);
-    storeAufsRead(sio, q->buf, q->size, q->offset, q->callback, q->callback_data);
+    storeAufsRead(sio, q->buf, q->size, q->offset, q->callback,
+	q->callback_data);
     xfree(q);
     return 1;
 }
@@ -304,3 +306,5 @@
 	return 1;
     return 0;
 }
+
+#endif /*USE_ASYNC_IO */
Index: squid/src/store_io_ufs.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/store_io_ufs.c,v
retrieving revision 1.1.1.1.4.1.2.1
retrieving revision 1.1.1.1.4.1.2.1.2.1
diff -u -r1.1.1.1.4.1.2.1 -r1.1.1.1.4.1.2.1.2.1
--- squid/src/store_io_ufs.c	6 Jan 2001 12:40:16 -0000	1.1.1.1.4.1.2.1
+++ squid/src/store_io_ufs.c	27 Aug 2001 21:48:22 -0000	1.1.1.1.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: store_io_ufs.c,v 1.1.1.1.4.1.2.1 2001/01/06 12:40:16 hno Exp $
+ * $Id: store_io_ufs.c,v 1.1.1.1.4.1.2.1.2.1 2001/08/27 21:48:22 tolsty Exp $
  *
  * DEBUG: section 79    Storage Manager UFS Interface
  * AUTHOR: Duane Wessels
@@ -89,7 +88,8 @@
 }
 
 void
-storeUfsRead(storeIOState * sio, char *buf, size_t size, off_t offset, STRCB * callback, void *callback_data)
+storeUfsRead(storeIOState * sio, char *buf, size_t size, off_t offset,
+    STRCB * callback, void *callback_data)
 {
     assert(sio->read.callback == NULL);
     assert(sio->read.callback_data == NULL);
@@ -100,26 +100,18 @@
 	sio->swap_file_number, sio->type.ufs.fd);
     sio->offset = offset;
     sio->type.ufs.flags.reading = 1;
-    file_read(sio->type.ufs.fd,
-	buf,
-	size,
-	offset,
-	storeUfsReadDone,
-	sio);
+    file_read(sio->type.ufs.fd, buf, size, offset, storeUfsReadDone, sio);
 }
 
 void
-storeUfsWrite(storeIOState * sio, char *buf, size_t size, off_t offset, FREE * free_func)
+storeUfsWrite(storeIOState * sio, char *buf, size_t size, off_t offset,
+    FREE * free_func)
 {
-    debug(79, 3) ("storeUfsWrite: fileno %08X, FD %d\n", sio->swap_file_number, sio->type.ufs.fd);
+    debug(79, 3) ("storeUfsWrite: fileno %08X, FD %d\n", sio->swap_file_number,
+	sio->type.ufs.fd);
     sio->type.ufs.flags.writing = 1;
     file_write(sio->type.ufs.fd,
-	offset,
-	buf,
-	size,
-	storeUfsWriteDone,
-	sio,
-	free_func);
+	offset, buf, size, storeUfsWriteDone, sio, free_func);
 }
 
 void
Index: squid/src/store_key_md5.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store_key_md5.c,v
retrieving revision 1.1.1.3.4.1.2.1
retrieving revision 1.1.1.3.4.1.2.1.2.1
diff -u -r1.1.1.3.4.1.2.1 -r1.1.1.3.4.1.2.1.2.1
--- squid/src/store_key_md5.c	6 Jan 2001 12:40:16 -0000	1.1.1.3.4.1.2.1
+++ squid/src/store_key_md5.c	27 Aug 2001 21:48:22 -0000	1.1.1.3.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: store_key_md5.c,v 1.1.1.3.4.1.2.1 2001/01/06 12:40:16 hno Exp $
+ * $Id: store_key_md5.c,v 1.1.1.3.4.1.2.1.2.1 2001/08/27 21:48:22 tolsty Exp $
  *
  * DEBUG: section 20    Storage Manager MD5 Cache Keys
  * AUTHOR: Duane Wessels
@@ -85,9 +84,7 @@
     /* note, n must be a power of 2! */
     const unsigned char *digest = key;
     unsigned int i = digest[0]
-    | digest[1] << 8
-    | digest[2] << 16
-    | digest[3] << 24;
+	| digest[1] << 8 | digest[2] << 16 | digest[3] << 24;
     return (i & (--n));
 }
 
@@ -97,8 +94,7 @@
     static cache_key digest[MD5_DIGEST_CHARS];
     MD5_CTX M;
     assert(id > 0);
-    debug(20, 3) ("storeKeyPrivate: %s %s\n",
-	RequestMethodStr[method], url);
+    debug(20, 3) ("storeKeyPrivate: %s %s\n", RequestMethodStr[method], url);
     MD5Init(&M);
     MD5Update(&M, (unsigned char *) &id, sizeof(id));
     MD5Update(&M, (unsigned char *) &method, sizeof(method));
Index: squid/src/store_log.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store_log.c,v
retrieving revision 1.1.1.2.4.1.2.1
retrieving revision 1.1.1.2.4.1.2.1.2.1
diff -u -r1.1.1.2.4.1.2.1 -r1.1.1.2.4.1.2.1.2.1
--- squid/src/store_log.c	6 Jan 2001 12:40:16 -0000	1.1.1.2.4.1.2.1
+++ squid/src/store_log.c	27 Aug 2001 21:48:22 -0000	1.1.1.2.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: store_log.c,v 1.1.1.2.4.1.2.1 2001/01/06 12:40:16 hno Exp $
+ * $Id: store_log.c,v 1.1.1.2.4.1.2.1.2.1 2001/08/27 21:48:22 tolsty Exp $
  *
  * DEBUG: section 20    Storage Manager Logging Functions
  * AUTHOR: Duane Wessels
@@ -35,8 +34,7 @@
 
 #include "squid.h"
 
-static char *storeLogTags[] =
-{
+static char *storeLogTags[] = {
     "CREATE",
     "SWAPIN",
     "SWAPOUT",
@@ -76,8 +74,7 @@
 	strLen(reply->content_type) ? strBuf(reply->content_type) : "unknown",
 	reply->content_length,
 	(int) (mem->inmem_hi - mem->reply->hdr_sz),
-	RequestMethodStr[mem->method],
-	mem->log_url);
+	RequestMethodStr[mem->method], mem->log_url);
     file_write_mbuf(storelog_fd, -1, mb, NULL, NULL);
 }
 
Index: squid/src/store_rebuild.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store_rebuild.c,v
retrieving revision 1.1.1.3.4.1.2.1
retrieving revision 1.1.1.3.4.1.2.1.2.1
diff -u -r1.1.1.3.4.1.2.1 -r1.1.1.3.4.1.2.1.2.1
--- squid/src/store_rebuild.c	6 Jan 2001 12:40:16 -0000	1.1.1.3.4.1.2.1
+++ squid/src/store_rebuild.c	27 Aug 2001 21:48:22 -0000	1.1.1.3.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: store_rebuild.c,v 1.1.1.3.4.1.2.1 2001/01/06 12:40:16 hno Exp $
+ * $Id: store_rebuild.c,v 1.1.1.3.4.1.2.1.2.1 2001/08/27 21:48:22 tolsty Exp $
  *
  * DEBUG: section 20    Store Rebuild Routines
  * AUTHOR: Duane Wessels
@@ -42,7 +41,6 @@
 static int
 storeCleanupDoubleCheck(const StoreEntry * e)
 {
-#ifndef _SQUID_MSWIN_
     /* XXX too UFS specific */
     struct stat sb;
     int dirn = e->swap_file_number >> SWAP_DIR_SHIFT;
@@ -70,7 +68,6 @@
 	storeEntryDump(e, 0);
 	return -1;
     }
-#endif
     return 0;
 }
 
Index: squid/src/store_swapin.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store_swapin.c,v
retrieving revision 1.1.1.3.4.1.2.1
retrieving revision 1.1.1.3.4.1.2.1.2.1
diff -u -r1.1.1.3.4.1.2.1 -r1.1.1.3.4.1.2.1.2.1
--- squid/src/store_swapin.c	6 Jan 2001 12:40:16 -0000	1.1.1.3.4.1.2.1
+++ squid/src/store_swapin.c	27 Aug 2001 21:48:22 -0000	1.1.1.3.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: store_swapin.c,v 1.1.1.3.4.1.2.1 2001/01/06 12:40:16 hno Exp $
+ * $Id: store_swapin.c,v 1.1.1.3.4.1.2.1.2.1 2001/08/27 21:48:22 tolsty Exp $
  *
  * DEBUG: section 20    Storage Manager Swapin Functions
  * AUTHOR: Duane Wessels
@@ -61,9 +60,7 @@
     debug(20, 3) ("storeSwapInStart: Opening fileno %08X\n",
 	e->swap_file_number);
     sc->swapin_sio = storeOpen(e->swap_file_number,
-	O_RDONLY,
-	storeSwapInFileClosed,
-	sc);
+	O_RDONLY, storeSwapInFileClosed, sc);
     cbdataLock(sc->swapin_sio);
 }
 
@@ -72,8 +69,7 @@
 {
     store_client *sc = data;
     STCB *callback;
-    debug(20, 3) ("storeSwapInFileClosed: sio=%p, errflag=%d\n",
-	sio, errflag);
+    debug(20, 3) ("storeSwapInFileClosed: sio=%p, errflag=%d\n", sio, errflag);
     cbdataUnlock(sio);
     sc->swapin_sio = NULL;
     if ((callback = sc->callback)) {
Index: squid/src/store_swapmeta.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store_swapmeta.c,v
retrieving revision 1.1.1.2.4.2.2.1
retrieving revision 1.1.1.2.4.2.2.1.2.1
diff -u -r1.1.1.2.4.2.2.1 -r1.1.1.2.4.2.2.1.2.1
--- squid/src/store_swapmeta.c	6 Jan 2001 12:40:16 -0000	1.1.1.2.4.2.2.1
+++ squid/src/store_swapmeta.c	27 Aug 2001 21:48:22 -0000	1.1.1.2.4.2.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: store_swapmeta.c,v 1.1.1.2.4.2.2.1 2001/01/06 12:40:16 hno Exp $
+ * $Id: store_swapmeta.c,v 1.1.1.2.4.2.2.1.2.1 2001/08/27 21:48:22 tolsty Exp $
  *
  * DEBUG: section 20    Storage Manager Swapfile Metadata
  * AUTHOR: Kostas Anagnostakis
@@ -128,7 +127,7 @@
      * enough to hold one type and one length.
      */
     if (buflen <= (sizeof(char) + sizeof(int)))
-	    return NULL;
+	return NULL;
     while (buflen - j > (sizeof(char) + sizeof(int))) {
 	type = buf[j++];
 	if (type < STORE_META_VOID || type > STORE_META_END) {
Index: squid/src/store_swapout.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store_swapout.c,v
retrieving revision 1.1.1.3.4.2.2.1
retrieving revision 1.1.1.3.4.2.2.1.2.1
diff -u -r1.1.1.3.4.2.2.1 -r1.1.1.3.4.2.2.1.2.1
--- squid/src/store_swapout.c	6 Jan 2001 12:40:16 -0000	1.1.1.3.4.2.2.1
+++ squid/src/store_swapout.c	27 Aug 2001 21:48:22 -0000	1.1.1.3.4.2.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: store_swapout.c,v 1.1.1.3.4.2.2.1 2001/01/06 12:40:16 hno Exp $
+ * $Id: store_swapout.c,v 1.1.1.3.4.2.2.1.2.1 2001/08/27 21:48:22 tolsty Exp $
  *
  * DEBUG: section 20    Storage Manager Swapout Functions
  * AUTHOR: Duane Wessels
@@ -96,10 +95,8 @@
 	storeSwapOutFileClose(e);
 	return;
     }
-    debug(20, 7) ("storeSwapOut: mem->inmem_lo = %d\n",
-	(int) mem->inmem_lo);
-    debug(20, 7) ("storeSwapOut: mem->inmem_hi = %d\n",
-	(int) mem->inmem_hi);
+    debug(20, 7) ("storeSwapOut: mem->inmem_lo = %d\n", (int) mem->inmem_lo);
+    debug(20, 7) ("storeSwapOut: mem->inmem_hi = %d\n", (int) mem->inmem_hi);
     debug(20, 7) ("storeSwapOut: swapout.queue_offset = %d\n",
 	(int) mem->swapout.queue_offset);
     if (mem->swapout.sio)
@@ -107,8 +104,7 @@
 	    (int) storeOffset(mem->swapout.sio));
     assert(mem->inmem_hi >= mem->swapout.queue_offset);
     lowest_offset = storeLowestMemReaderOffset(e);
-    debug(20, 7) ("storeSwapOut: lowest_offset = %d\n",
-	(int) lowest_offset);
+    debug(20, 7) ("storeSwapOut: lowest_offset = %d\n", (int) lowest_offset);
     new_mem_lo = lowest_offset;
     assert(new_mem_lo >= mem->inmem_lo);
     if (storeSwapOutAble(e)) {
@@ -135,8 +131,7 @@
     if (!storeSwapOutAble(e))
 	return;
     swapout_size = (size_t) (mem->inmem_hi - mem->swapout.queue_offset);
-    debug(20, 7) ("storeSwapOut: swapout_size = %d\n",
-	(int) swapout_size);
+    debug(20, 7) ("storeSwapOut: swapout_size = %d\n", (int) swapout_size);
     if (swapout_size == 0) {
 	if (e->store_status == STORE_OK)
 	    storeSwapOutFileClose(e);
@@ -170,11 +165,10 @@
 	    swapout_size = DISK_PAGE_SIZE;
 	swap_buf = memAllocate(MEM_DISK_BUF);
 	swap_buf_len = stmemCopy(&mem->data_hdr,
-	    mem->swapout.queue_offset,
-	    swap_buf,
-	    swapout_size);
+	    mem->swapout.queue_offset, swap_buf, swapout_size);
 	if (swap_buf_len < 0) {
-	    debug(20, 1) ("stmemCopy returned %d for '%s'\n", swap_buf_len, storeKeyText(e->key));
+	    debug(20, 1) ("stmemCopy returned %d for '%s'\n", swap_buf_len,
+		storeKeyText(e->key));
 	    storeUnlink(e->swap_file_number);
 	    storeDirMapBitReset(e->swap_file_number);
 	    e->swap_file_number = -1;
@@ -233,7 +227,8 @@
     assert(e->swap_status == SWAPOUT_WRITING);
     cbdataFree(c);
     if (errflag) {
-	debug(20, 3) ("storeSwapOutFileClosed: swapfile %08X, errflag=%d\n\t%s\n",
+	debug(20,
+	    3) ("storeSwapOutFileClosed: swapfile %08X, errflag=%d\n\t%s\n",
 	    e->swap_file_number, errflag, xstrerror());
 	/*
 	 * yuck.  don't clear the filemap bit for some errors so that
@@ -251,7 +246,8 @@
 	e->swap_status = SWAPOUT_NONE;
     } else {
 	/* swapping complete */
-	debug(20, 3) ("storeSwapOutFileClosed: SwapOut complete: '%s' to %08X\n",
+	debug(20,
+	    3) ("storeSwapOutFileClosed: SwapOut complete: '%s' to %08X\n",
 	    storeUrl(e), e->swap_file_number);
 	e->swap_file_sz = objectLen(e) + mem->swap_hdr_sz;
 	e->swap_status = SWAPOUT_DONE;
